Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.align
Class ASAlignmentPathMeasure

    java.lang.Object
      fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>
          fr.inrialpes.exmo.ontosim.align.ASShortestPathMeasure
              fr.inrialpes.exmo.ontosim.align.ASAlignmentPathMeasure

All Implemented Interfaces:
  AlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>, Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

    public class ASAlignmentPathMeasure

extends ASShortestPathMeasure

This class implements measures depending on the existence of an path between the ontologies in the alignment space. It is implemented on top of the "shortest path" measure, since this does not really cost more and this is easier to maintain

Nested Class Summary

Nested classes/interfaces inherited from class fr.inrialpes.exmo.ontosim.align.ASShortestPathMeasure
`ASShortestPathMeasure.NORM`

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary

Fields inherited from class fr.inrialpes.exmo.ontosim.align.ASShortestPathMeasure
`diameter, index, matrix, modality, norm, size`

Fields inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`measureMatrix, network`

Constructor Summary
`ASAlignmentPathMeasure()`
`ASAlignmentPathMeasure(org.semanticweb.owl.align.OntologyNetwork noo)`

Method Summary
`double` | `getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`

Methods inherited from class fr.inrialpes.exmo.ontosim.align.ASShortestPathMeasure
`getDissim, getMType, getNormModality, getSim, getValue, setNormModality`

Methods inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`addAlignment, getAlignments, setAlignmentSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASAlignmentPathMeasure

    public ASAlignmentPathMeasure()

### ASAlignmentPathMeasure

    public ASAlignmentPathMeasure(org.semanticweb.owl.align.OntologyNetwork noo)

Method Detail

### getMeasureValue

    public double getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                                  fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

  Specified by:
    `getMeasureValue` in interface `Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>`
  Overrides:
    `getMeasureValue` in class `ASShortestPathMeasure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009